FreeMat

- Main Page
- Related Pages

vtkUnstructuredGridSource

Section: Visualization Toolkit Filtering Classes

# Usage

vtkUnstructuredGridSource is an abstract class whose subclasses generate unstructured grid data.

To create an instance of class vtkUnstructuredGridSource, simply invoke its constructor as follows

      obj = vtkUnstructuredGridSource

# Methods

The class vtkUnstructuredGridSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkUnstructuredGridSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkUnstructuredGridSource = obj.NewInstance ()`
- `vtkUnstructuredGridSource = obj.SafeDownCast (vtkObject o)`
- `vtkUnstructuredGrid = obj.GetOutput ()` - Get the output of this source.
- `vtkUnstructuredGrid = obj.GetOutput (int idx)` - Get the output of this source.
- `obj.SetOutput (vtkUnstructuredGrid output)` - Get the output of this source.